package cn.estsh.i3plus.core.apiservice.controller.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ISysPojoVersionPlanService;
import cn.estsh.i3plus.platform.common.util.CommonConstWords;
import cn.estsh.i3plus.pojo.platform.bean.SysPojoVersionPlan;
import cn.estsh.impp.framework.base.controller.CrudBaseController;
import cn.estsh.impp.framework.base.service.ICrudService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 20-4-21 下午2:56
 * @Modify:
 **/
@RestController
@Api(tags = "报表服务")
@RequestMapping(CommonConstWords.BASE_URL_CORE+"/pojo-version-plan")
public class SysPojoVersionPlanDetailController extends CrudBaseController<SysPojoVersionPlan> {
    @Autowired
    private ISysPojoVersionPlanService pojoVersionService;

    @Override
    public ICrudService getCrudService() {
        return pojoVersionService;
    }
}
